ubuntu/+source/lvm2:ubuntu/jaunty-security

Last commit made on 2010-10-06
Get this branch:
git clone -b ubuntu/jaunty-security https://git.launchpad.net/ubuntu/+source/lvm2
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/jaunty-security
Repository:
lp:ubuntu/+source/lvm2

Recent commits

de5ecaf... by Marc Deslauriers on 2010-09-23

Import patches-unapplied version 2.02.39-0ubuntu9.1 to ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 9b74aef9cf96b9decb64ab0368a643a21b0a0846

New changelog entries:
  * SECURITY UPDATE: unprivileged logical volume manipulation with clvmd
    - debian/patches/CVE-2010-2526.patch: revert to using a pathname-based
      socket in order to enforce correct permissions.
    - CVE-2010-2526

9b74aef... by Colin Watson on 2009-04-08

Import patches-unapplied version 2.02.39-0ubuntu9 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 0704fc0f70311d59b55be122722454b16ff51a6a

New changelog entries:
  * debian/patches/avoid-dev-block.patch: Prefer any other device name over
    names in /dev/block/ (LP: #341928).

0704fc0... by Scott James Remnant (Canonical) on 2009-02-24

Import patches-unapplied version 2.02.39-0ubuntu8 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 912f3aa48dd3c80b876108641a6cfaf7a73ada2e

New changelog entries:
  * Revert quilt damage to two other patches.

912f3aa... by Scott James Remnant (Canonical) on 2009-02-23

Import patches-unapplied version 2.02.39-0ubuntu7 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 465a165fa7119e2342e35a30003011e6cadd4312

New changelog entries:
  * debian/patches/open-readonly.patch:
    - Generally we don't need to write to every single block device we open,
      in fact if we do that when scanning we'll make udev think they all
      changed, and it could run "lvm vgscan" again! When the file descriptor
      is needed for writing, it will be closed and opened again. LP: #332270.

465a165... by Scott James Remnant (Canonical) on 2009-01-09

Import patches-unapplied version 2.02.39-0ubuntu6 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 4750b489b19fe4804cbaa5e3e70a096188f34fa0

New changelog entries:
  * Bump build-dependency on debhelper to ensure we get the right one.

4750b48... by Soren Hansen on 2009-01-09

Import patches-unapplied version 2.02.39-0ubuntu5 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 1286808b6e019eab05d5589f25465b0269e72855

New changelog entries:
  * Update udev rules.d path to /lib/udev/rules.d, (LP #314879) and add
    versioned dependency on udev accordingly.
  * Add versioned breaks on udev to make sure we do the upgrade
    in the correct order.
  * Add versioned dependency on watershed version that installs
    into initramfs.

1286808... by Scott James Remnant (Canonical) on 2009-01-05

Import patches-unapplied version 2.02.39-0ubuntu4 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: a57db5b58d314805fbaf6a9b54b72a80e6af0d3a

New changelog entries:
  * Change dependency on udev to one on watershed.

a57db5b... by Matthias Klose on 2008-11-20

Import patches-unapplied version 2.02.39-0ubuntu3 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: a3a361096e64c04334057e84a69e4fd6e077e1c1

New changelog entries:
  * Rebuild for armel.

a3a3610... by Colin Watson on 2008-09-01

Import patches-unapplied version 2.02.39-0ubuntu2 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 11f36eeee78de6959fcbbe718453663f02e8cd7c

New changelog entries:
  * Backport from Debian unstable (Bastian Blank):
    - Disable readline support in udeb. (closes: #491203, LP: #263558)

11f36ee... by James Westby on 2008-07-01

Import patches-unapplied version 2.02.39-0ubuntu1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: e055a4788adfaf2585d735592daed3a282c86e41

New changelog entries:
  * New upstream release (LP: #239460).
  * Merges 2.02.35-1 from Debian.
  * Increase devmapper dependency to (>> 2:1.02.27) due to new API.
  * Re-add quilt to Build-Depends.
  * Add missing Build-Depends on autoconf and libtool.
  * New upstream version.
  * Fix LSB header of init script.
  * New upstream version.
  * Remove loading of additional modules from init script.
  * New upstream version.
  * Readd clvm.
  * Add LSB header to lvm2 init script. (closes: #426108)
  * New upstream version.
  * Load modules.
  * Don't longer directly link libncurses, libselinux and librt.
  * Drop lvm1 support in lvm2-udeb.
  * Force modprobe path to enable module loading.